/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workclientinfo.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import javax.validation.constraints.Size;

/**
 * 客户开行信息Entity
 * @author mapengbo
 * @version 2017-10-11
 */
public class WorkClientBank extends DataEntity<WorkClientBank> {
	
	private static final long serialVersionUID = 1L;
	private String ourBank;		// 开户银行
    @Size(min = 16,max = 19,message = "银行账号长度应为16-19位")
	private String bankNumber;		// 开户账号
    private WorkClientInfo clientId;		// 外键关联客户表 父类
	
	public WorkClientBank() {
		super();
	}

	public WorkClientBank(String id){
		super(id);
	}

    public WorkClientBank(WorkClientInfo clientId){
        this.clientId = clientId;
    }

	@ExcelField(title="开户银行", align=2, sort=7)
	public String getOurBank() {
		return ourBank;
	}

	public void setOurBank(String ourBank) {
		this.ourBank = ourBank;
	}
	
	@ExcelField(title="开户账号", align=2, sort=8)
	public String getBankNumber() {
		return bankNumber;
	}

	public void setBankNumber(String bankNumber) {
		this.bankNumber = bankNumber;
	}

    public WorkClientInfo getClientId() {
        return clientId;
    }

    public void setClientId(WorkClientInfo clientId) {
        this.clientId = clientId;
    }
	
}